# For the xulrunner unstable requires
%define gecko_ver 1.9.2.23
# These come from install.rdf
%global firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%global firefox_ext_id \{b676e3ff-cda7-4e0c-b2b8-74e4bb40a67a\}
# These requires are hardcoded in the sources
%global libvoikko libvoikko.so.1
%ifarch x86_64 ppc64 ia64 sparc64 s390x
%global mark64  ()(64bit)
%endif

Name:           mozvoikko
Version:        1.0
Release:        25%{?dist}.1
Summary:        Finnish Voikko spell-checker extension for Mozilla programs
Group:          Applications/Internet
License:        GPLv2+
URL:            http://voikko.sourceforge.net
# Usual format of test release URLs
#Source0:        http://www.puimula.org/htp/testing/%{name}-%{version}rc1.tar.gz
# Usual format of stable release URLs
Source0:        http://downloads.sourceforge.net/voikko/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# For xulrunner unstable
BuildRequires:  gecko-devel-unstable >= %{gecko_ver}
BuildRequires:  libvoikko-devel
BuildRequires:  pkgconfig
# For xulrunner unstable
Requires:       gecko-libs >= %{gecko_ver}
Requires:       %{libvoikko}%{?mark64}
# As long as Firefox is the only program which can use the extension,
# we may as well require it, since this package is quite useless without it.
Requires:       firefox

%description
This is mozvoikko, an extension for Mozilla programs for using the Finnish
spell-checker Voikko.


%prep
%setup -q


%build
make -f Makefile.xulrunner extension-files CFLAGS="$RPM_OPT_FLAGS" \
  CC_LINK="g++ -shared -Wl,--no-undefined $RPM_OPT_FLAGS" %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make -f Makefile.xulrunner install-unpacked \
  DESTDIR=$RPM_BUILD_ROOT%{_libdir}/mozilla/extensions/%{firefox_app_id}
# Make the .so executable, so debuginfo can be stripped
chmod +x \
  $RPM_BUILD_ROOT%{_libdir}/mozilla/extensions/%{firefox_app_id}/%{firefox_ext_id}/components/*.so


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_libdir}/mozilla/extensions/%{firefox_app_id}/%{firefox_ext_id}


%changelog
* Tue Sep 27 2011 Jan Horak <jhorak@redhat.com> - 1.0-25.1
- Rebuild against newer gecko

* Tue Sep 06 2011 Jan Horak <jhorak@redhat.com> - 1.0-24.1
- Rebuild against newer gecko

* Wed Aug 17 2011 Jan Horak <jhorak@redhat.com> - 1.0-23.1
- Rebuild against newer gecko

* Tue Jun 21 2011 Jan Horak <jhorak@redhat.com> - 1.0-22.1
- Rebuild against newer gecko

* Thu Apr 28 2011 Jan Horak <jhorak@redhat.com> - 1.0-21.1
- Rebuild against newer gecko

* Tue Mar 22 2011 Christopher Aillon <caillon@redhat.com> - 1.0-20.1
- Rebuild against newer gecko

* Tue Mar 08 2011 Jan Horak <jhorak@redhat.com> - 1.0-19.1
- Rebuild against newer gecko

* Tue Mar 01 2011 Jan Horak <jhorak@redhat.com> - 1.0-18.1
- Rebuild against newer gecko

* Thu Dec 09 2010 Jan Horak <jhorak@redhat.com> - 1.0-17.1
- Rebuild against newer gecko

* Thu Oct 28 2010 Jan Horak <jhorak@redhat.com> - 1.0-16.1
- Rebuild against newer gecko

* Tue Oct 19 2010 Jan Horak <jhorak@redhat.com> - 1.0-15.1
- Rebuild against newer gecko

* Tue Oct 05 2010 jkeating - 1.0-14.1
- Rebuilt for gcc bug 634757

* Tue Sep 21 2010 Martin Stransky <stransky@redhat.com> - 1.0-14
- Rebuild against newer gecko

* Wed Sep 08 2010 Jan Horak <jhorak@redhat.com> - 1.0-13
- Rebuild against newer gecko

* Tue Aug 10 2010 Jan Horak <jhorak@redhat.com> - 1.0-12
- Rebuild against newer gecko

* Wed Jun 23 2010 Jan Horak <jhorak@redhat.com> - 1.0-11
- Rebuild against newer gecko

* Mon Apr 12 2010 Martin Stransky <stransky@redhat.com> - 1.0-10
- Updated gecko dependency

* Sat Apr 03 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 1.0-9
- Rebuild against newer gecko

* Tue Mar 23 2010 Jan Horak <jhorak@redhat.com> - 1.0-8
- Rebuild against newer gecko

* Wed Nov 25 2009 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 1.0-7
- Rebuild against newer gecko

* Thu Nov 05 2009 Jan Horak <jhorak@redhat.com> - 1.0-6
- Rebuild against newer gecko

* Tue Oct 27 2009 Jan Horak <jhorak@redhat.com> - 1.0-5
- Rebuild against newer gecko

* Tue Sep 15 2009 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 1.0-4
- Drop Requires for libmalaga, the current version of libvoikko in Fedora
  Rawhide doesn't depend on libmalaga anymore

* Fri Sep 11 2009 Jan Horak <jhorak@redhat.com> - 1.0-3
- Rebuild against newer gecko

* Sun Sep 06 2009 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 1.0-2
- Use global instead of define, except in gecko_ver as that might be used
  in the xulrunner rebuild scripts.

* Mon Aug 10 2009 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 1.0-1
- Update to 1.0.
- Use "official" upstream source, the RC sources have been removed. 
- This is mostly a cosmetic change, no code was changed, only the XML file
  defining the extension version.

* Thu Aug 06 2009 Jan Horak <jhorak@redhat.com> - 0.9.7-0.8.rc1
- Rebuild against newer gecko

* Tue Aug 04 2009 Jan Horak <jhorak@redhat.com> - 0.9.7-0.7.rc1
- Rebuild against newer gecko

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-0.6.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jul 19 2009 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.9.7-0.5.rc1
- Rebuild against newer gecko
- Bump Release to fix upgrade path

* Mon Apr 27 2009 Christopher Aillon <caillon@redhat.com> - 0.9.7-0.3.rc1
- Rebuild against newer gecko

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-0.2.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 20 2009 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.9.7-0.1.rc1
- New RC
  - The unstable nsIXULRuntime interface is not used anymore

* Tue Feb 17 2009 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.9.6-0.1.rc2
- New RC
- All patches applied upstream, some documentation updates

* Tue Jan 27 2009 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.9.5-6
- Add a series of patches developed together with upstream and the
  Ubuntu/Debian maintainer: 
  - Uses pkg-config --cflags and --libs, no rpath anymore
  - Cleans up some unneeded cruft from Makefile.xulrunner
  - Uses -Wl,--as-needed to reduce shared library dependencies
  - Some discussion about pkg-config and rpath in Launchpad #297169

* Fri Dec 26 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.9.5-5
- Rebuild against gecko 1.9.1
- Bump Release so that it's at least as high as in F10 and F9

* Mon Sep 29 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.9.5-3
- Rebuild against newer gecko

* Sat Aug 30 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.9.5-2
- Fix the xulrunner requires:
  - Add define gecko_ver 1.9.0.1
  - Add Requires: gecko-libs = gecko_ver
  - Add BuildRequires: gecko-devel-unstable = gecko_ver
  - Remove all actual xulrunner requires
- Redo the Makefile.xulrunner includes patch, we only need the stable and
  unstable header dirs in Fedora

* Thu Jul 24 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.9.5-1
- Bump Release for initial Fedora build

* Fri Jul 18 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.9.5-0.2
- Add patch to remove xulrunner unstable include from Makefile.xulrunner
  and only BuildRequire xulrunner-devel, not xulrunner-devel-unstable
- Change Group to Applications/Internet
- Add dependency to the sonames libvoikko.so.1 and libmalaga.so.7

* Mon Jun 24 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.9.5-0.1
- New upstream release

* Mon May 31 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.9.4.1.3-0.1
- New upstream release, the Makefile.xulrunner path patch is no longer needed

* Mon May 26 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.9.4.1.2-0.1
- New upstream release, Makefile.xulrunner paths are no longer hardcoded,
  VOIKKO_INCLUDES is dropped completely
- Path patch updated, most notably include directories, even though the build
  worked even before for some reason

* Mon May 26 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.9.4.1.1-0.3
- Change name to mozvoikko to reflect the possibility of this package later
  supporting Thunderbird and Seamonkey as well
- Change summary and description accordingly
- Add firefox to Requires, because currently it's the only program which can
  use mozvoikko
- Drop BR xulrunner-devel, the -unstable package is enough to require for now

* Sat May 24 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.9.4.1.1-0.1
- New upstream release
- Use the new extension-files and install-unpacked make targets
- Path patch edited accordingly

* Fri May 23 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.9.4.1-0.1
- Initial package

